Subject: [Sip] Questions

From: "Manuel Moreno" <[email-masked]>
Date: Fri, 21 Feb 2003 15:19:54 +0100

Hi all:

From the RFC 3261, I understand that other request type, different to
INVITE, can establish a dialog.
Is  this an opened  road ??. Is correct my interpretation??.

In this case, for to close one dialog, which method ( or answer) I can use
and how ???

In the RFC 3261, section 12.3, pag 77 said:

“...The mechanism for terminating confirmed dialogs is method specific. In
this specifications, the BYE method  terminates a session and the dialog
associated with it........”

I think for INVITE only. Is correct??

Thak you

Manuel

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Brett Tate" <[email-masked]>
Date: Fri, 21 Feb 2003 13:15:27 -0500

> From the RFC 3261, I understand that
> other request type, different to INVITE,
> can establish a dialog.

rfc3265 discusses a subscription dialog.

> which method ( or answer) I can use

The following quote that you provided explains
that BYE can close INVITE established dialogs.

In addition, the CANCEL can close
INVITE established early dialogs.

Sending a SUBSCRIBE with Expires: 0, closes
subscription dialogs.  Sending NOTIFY with
Subscription-State: terminated, closes
subscription dialogs.

A proxy refusing to proxy any more messages
will close dialogs which expire.

Returning a 481 to a request communicates
that a dialog is unknown.  It will lead to
explicit or implicit closure of the dialog.

> “...The mechanism for terminating confirmed
> dialogs is method specific. In this
> specifications, the BYE method  terminates a
> session and the dialog associated with it........”
>

The "In this specifications" text is meant to
convey that the BYE closes the associated invite
established dialog and the session created by
the invite established dialog.